Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network160.4.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
160.4.0.0
Broadcast address
160.4.63.255
First usable
160.4.0.1
Last usable
160.4.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
B (default /16)
As numbers
Hex A0040000 · Integer 2684616704 to 2684633087
Reverse DNS zones
0.4.160.in-addr.arpa
1.4.160.in-addr.arpa
2.4.160.in-addr.arpa
3.4.160.in-addr.arpa
4.4.160.in-addr.arpa
5.4.160.in-addr.arpa
6.4.160.in-addr.arpa
7.4.160.in-addr.arpa
8.4.160.in-addr.arpa
9.4.160.in-addr.arpa
10.4.160.in-addr.arpa
11.4.160.in-addr.arpa
12.4.160.in-addr.arpa
13.4.160.in-addr.arpa
14.4.160.in-addr.arpa
15.4.160.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10100000.00000100.00000000.00000000160.4.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network10100000.00000100.00000000.00000000160.4.0.0
Broadcast10100000.00000100.00111111.11111111160.4.63.255
Split into smaller subnets/27

160.4.0.0/18 makes 512 subnets of /27; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1160.4.0.0/27160.4.0.1 to 160.4.0.30160.4.0.3130
2160.4.0.32/27160.4.0.33 to 160.4.0.62160.4.0.6330
3160.4.0.64/27160.4.0.65 to 160.4.0.94160.4.0.9530
4160.4.0.96/27160.4.0.97 to 160.4.0.126160.4.0.12730
5160.4.0.128/27160.4.0.129 to 160.4.0.158160.4.0.15930
6160.4.0.160/27160.4.0.161 to 160.4.0.190160.4.0.19130
7160.4.0.192/27160.4.0.193 to 160.4.0.222160.4.0.22330
8160.4.0.224/27160.4.0.225 to 160.4.0.254160.4.0.25530
9160.4.1.0/27160.4.1.1 to 160.4.1.30160.4.1.3130
10160.4.1.32/27160.4.1.33 to 160.4.1.62160.4.1.6330
11160.4.1.64/27160.4.1.65 to 160.4.1.94160.4.1.9530
12160.4.1.96/27160.4.1.97 to 160.4.1.126160.4.1.12730
13160.4.1.128/27160.4.1.129 to 160.4.1.158160.4.1.15930
14160.4.1.160/27160.4.1.161 to 160.4.1.190160.4.1.19130
15160.4.1.192/27160.4.1.193 to 160.4.1.222160.4.1.22330
16160.4.1.224/27160.4.1.225 to 160.4.1.254160.4.1.25530
17160.4.2.0/27160.4.2.1 to 160.4.2.30160.4.2.3130
18160.4.2.32/27160.4.2.33 to 160.4.2.62160.4.2.6330
19160.4.2.64/27160.4.2.65 to 160.4.2.94160.4.2.9530
20160.4.2.96/27160.4.2.97 to 160.4.2.126160.4.2.12730
21160.4.2.128/27160.4.2.129 to 160.4.2.158160.4.2.15930
22160.4.2.160/27160.4.2.161 to 160.4.2.190160.4.2.19130
23160.4.2.192/27160.4.2.193 to 160.4.2.222160.4.2.22330
24160.4.2.224/27160.4.2.225 to 160.4.2.254160.4.2.25530
25160.4.3.0/27160.4.3.1 to 160.4.3.30160.4.3.3130
26160.4.3.32/27160.4.3.33 to 160.4.3.62160.4.3.6330
27160.4.3.64/27160.4.3.65 to 160.4.3.94160.4.3.9530
28160.4.3.96/27160.4.3.97 to 160.4.3.126160.4.3.12730
29160.4.3.128/27160.4.3.129 to 160.4.3.158160.4.3.15930
30160.4.3.160/27160.4.3.161 to 160.4.3.190160.4.3.19130
31160.4.3.192/27160.4.3.193 to 160.4.3.222160.4.3.22330
32160.4.3.224/27160.4.3.225 to 160.4.3.254160.4.3.25530
33160.4.4.0/27160.4.4.1 to 160.4.4.30160.4.4.3130
34160.4.4.32/27160.4.4.33 to 160.4.4.62160.4.4.6330
35160.4.4.64/27160.4.4.65 to 160.4.4.94160.4.4.9530
36160.4.4.96/27160.4.4.97 to 160.4.4.126160.4.4.12730
37160.4.4.128/27160.4.4.129 to 160.4.4.158160.4.4.15930
38160.4.4.160/27160.4.4.161 to 160.4.4.190160.4.4.19130
39160.4.4.192/27160.4.4.193 to 160.4.4.222160.4.4.22330
40160.4.4.224/27160.4.4.225 to 160.4.4.254160.4.4.25530
41160.4.5.0/27160.4.5.1 to 160.4.5.30160.4.5.3130
42160.4.5.32/27160.4.5.33 to 160.4.5.62160.4.5.6330
43160.4.5.64/27160.4.5.65 to 160.4.5.94160.4.5.9530
44160.4.5.96/27160.4.5.97 to 160.4.5.126160.4.5.12730
45160.4.5.128/27160.4.5.129 to 160.4.5.158160.4.5.15930
46160.4.5.160/27160.4.5.161 to 160.4.5.190160.4.5.19130
47160.4.5.192/27160.4.5.193 to 160.4.5.222160.4.5.22330
48160.4.5.224/27160.4.5.225 to 160.4.5.254160.4.5.25530
49160.4.6.0/27160.4.6.1 to 160.4.6.30160.4.6.3130
50160.4.6.32/27160.4.6.33 to 160.4.6.62160.4.6.6330
51160.4.6.64/27160.4.6.65 to 160.4.6.94160.4.6.9530
52160.4.6.96/27160.4.6.97 to 160.4.6.126160.4.6.12730
53160.4.6.128/27160.4.6.129 to 160.4.6.158160.4.6.15930
54160.4.6.160/27160.4.6.161 to 160.4.6.190160.4.6.19130
55160.4.6.192/27160.4.6.193 to 160.4.6.222160.4.6.22330
56160.4.6.224/27160.4.6.225 to 160.4.6.254160.4.6.25530
57160.4.7.0/27160.4.7.1 to 160.4.7.30160.4.7.3130
58160.4.7.32/27160.4.7.33 to 160.4.7.62160.4.7.6330
59160.4.7.64/27160.4.7.65 to 160.4.7.94160.4.7.9530
60160.4.7.96/27160.4.7.97 to 160.4.7.126160.4.7.12730
61160.4.7.128/27160.4.7.129 to 160.4.7.158160.4.7.15930
62160.4.7.160/27160.4.7.161 to 160.4.7.190160.4.7.19130
63160.4.7.192/27160.4.7.193 to 160.4.7.222160.4.7.22330
64160.4.7.224/27160.4.7.225 to 160.4.7.254160.4.7.25530
65160.4.8.0/27160.4.8.1 to 160.4.8.30160.4.8.3130
66160.4.8.32/27160.4.8.33 to 160.4.8.62160.4.8.6330
67160.4.8.64/27160.4.8.65 to 160.4.8.94160.4.8.9530
68160.4.8.96/27160.4.8.97 to 160.4.8.126160.4.8.12730
69160.4.8.128/27160.4.8.129 to 160.4.8.158160.4.8.15930
70160.4.8.160/27160.4.8.161 to 160.4.8.190160.4.8.19130
71160.4.8.192/27160.4.8.193 to 160.4.8.222160.4.8.22330
72160.4.8.224/27160.4.8.225 to 160.4.8.254160.4.8.25530
73160.4.9.0/27160.4.9.1 to 160.4.9.30160.4.9.3130
74160.4.9.32/27160.4.9.33 to 160.4.9.62160.4.9.6330
75160.4.9.64/27160.4.9.65 to 160.4.9.94160.4.9.9530
76160.4.9.96/27160.4.9.97 to 160.4.9.126160.4.9.12730
77160.4.9.128/27160.4.9.129 to 160.4.9.158160.4.9.15930
78160.4.9.160/27160.4.9.161 to 160.4.9.190160.4.9.19130
79160.4.9.192/27160.4.9.193 to 160.4.9.222160.4.9.22330
80160.4.9.224/27160.4.9.225 to 160.4.9.254160.4.9.25530
81160.4.10.0/27160.4.10.1 to 160.4.10.30160.4.10.3130
82160.4.10.32/27160.4.10.33 to 160.4.10.62160.4.10.6330
83160.4.10.64/27160.4.10.65 to 160.4.10.94160.4.10.9530
84160.4.10.96/27160.4.10.97 to 160.4.10.126160.4.10.12730
85160.4.10.128/27160.4.10.129 to 160.4.10.158160.4.10.15930
86160.4.10.160/27160.4.10.161 to 160.4.10.190160.4.10.19130
87160.4.10.192/27160.4.10.193 to 160.4.10.222160.4.10.22330
88160.4.10.224/27160.4.10.225 to 160.4.10.254160.4.10.25530
89160.4.11.0/27160.4.11.1 to 160.4.11.30160.4.11.3130
90160.4.11.32/27160.4.11.33 to 160.4.11.62160.4.11.6330
91160.4.11.64/27160.4.11.65 to 160.4.11.94160.4.11.9530
92160.4.11.96/27160.4.11.97 to 160.4.11.126160.4.11.12730
93160.4.11.128/27160.4.11.129 to 160.4.11.158160.4.11.15930
94160.4.11.160/27160.4.11.161 to 160.4.11.190160.4.11.19130
95160.4.11.192/27160.4.11.193 to 160.4.11.222160.4.11.22330
96160.4.11.224/27160.4.11.225 to 160.4.11.254160.4.11.25530
97160.4.12.0/27160.4.12.1 to 160.4.12.30160.4.12.3130
98160.4.12.32/27160.4.12.33 to 160.4.12.62160.4.12.6330
99160.4.12.64/27160.4.12.65 to 160.4.12.94160.4.12.9530
100160.4.12.96/27160.4.12.97 to 160.4.12.126160.4.12.12730
101160.4.12.128/27160.4.12.129 to 160.4.12.158160.4.12.15930
102160.4.12.160/27160.4.12.161 to 160.4.12.190160.4.12.19130
103160.4.12.192/27160.4.12.193 to 160.4.12.222160.4.12.22330
104160.4.12.224/27160.4.12.225 to 160.4.12.254160.4.12.25530
105160.4.13.0/27160.4.13.1 to 160.4.13.30160.4.13.3130
106160.4.13.32/27160.4.13.33 to 160.4.13.62160.4.13.6330
107160.4.13.64/27160.4.13.65 to 160.4.13.94160.4.13.9530
108160.4.13.96/27160.4.13.97 to 160.4.13.126160.4.13.12730
109160.4.13.128/27160.4.13.129 to 160.4.13.158160.4.13.15930
110160.4.13.160/27160.4.13.161 to 160.4.13.190160.4.13.19130
111160.4.13.192/27160.4.13.193 to 160.4.13.222160.4.13.22330
112160.4.13.224/27160.4.13.225 to 160.4.13.254160.4.13.25530
113160.4.14.0/27160.4.14.1 to 160.4.14.30160.4.14.3130
114160.4.14.32/27160.4.14.33 to 160.4.14.62160.4.14.6330
115160.4.14.64/27160.4.14.65 to 160.4.14.94160.4.14.9530
116160.4.14.96/27160.4.14.97 to 160.4.14.126160.4.14.12730
117160.4.14.128/27160.4.14.129 to 160.4.14.158160.4.14.15930
118160.4.14.160/27160.4.14.161 to 160.4.14.190160.4.14.19130
119160.4.14.192/27160.4.14.193 to 160.4.14.222160.4.14.22330
120160.4.14.224/27160.4.14.225 to 160.4.14.254160.4.14.25530
121160.4.15.0/27160.4.15.1 to 160.4.15.30160.4.15.3130
122160.4.15.32/27160.4.15.33 to 160.4.15.62160.4.15.6330
123160.4.15.64/27160.4.15.65 to 160.4.15.94160.4.15.9530
124160.4.15.96/27160.4.15.97 to 160.4.15.126160.4.15.12730
125160.4.15.128/27160.4.15.129 to 160.4.15.158160.4.15.15930
126160.4.15.160/27160.4.15.161 to 160.4.15.190160.4.15.19130
127160.4.15.192/27160.4.15.193 to 160.4.15.222160.4.15.22330
128160.4.15.224/27160.4.15.225 to 160.4.15.254160.4.15.25530
129160.4.16.0/27160.4.16.1 to 160.4.16.30160.4.16.3130
130160.4.16.32/27160.4.16.33 to 160.4.16.62160.4.16.6330
131160.4.16.64/27160.4.16.65 to 160.4.16.94160.4.16.9530
132160.4.16.96/27160.4.16.97 to 160.4.16.126160.4.16.12730
133160.4.16.128/27160.4.16.129 to 160.4.16.158160.4.16.15930
134160.4.16.160/27160.4.16.161 to 160.4.16.190160.4.16.19130
135160.4.16.192/27160.4.16.193 to 160.4.16.222160.4.16.22330
136160.4.16.224/27160.4.16.225 to 160.4.16.254160.4.16.25530
137160.4.17.0/27160.4.17.1 to 160.4.17.30160.4.17.3130
138160.4.17.32/27160.4.17.33 to 160.4.17.62160.4.17.6330
139160.4.17.64/27160.4.17.65 to 160.4.17.94160.4.17.9530
140160.4.17.96/27160.4.17.97 to 160.4.17.126160.4.17.12730
141160.4.17.128/27160.4.17.129 to 160.4.17.158160.4.17.15930
142160.4.17.160/27160.4.17.161 to 160.4.17.190160.4.17.19130
143160.4.17.192/27160.4.17.193 to 160.4.17.222160.4.17.22330
144160.4.17.224/27160.4.17.225 to 160.4.17.254160.4.17.25530
145160.4.18.0/27160.4.18.1 to 160.4.18.30160.4.18.3130
146160.4.18.32/27160.4.18.33 to 160.4.18.62160.4.18.6330
147160.4.18.64/27160.4.18.65 to 160.4.18.94160.4.18.9530
148160.4.18.96/27160.4.18.97 to 160.4.18.126160.4.18.12730
149160.4.18.128/27160.4.18.129 to 160.4.18.158160.4.18.15930
150160.4.18.160/27160.4.18.161 to 160.4.18.190160.4.18.19130
151160.4.18.192/27160.4.18.193 to 160.4.18.222160.4.18.22330
152160.4.18.224/27160.4.18.225 to 160.4.18.254160.4.18.25530
153160.4.19.0/27160.4.19.1 to 160.4.19.30160.4.19.3130
154160.4.19.32/27160.4.19.33 to 160.4.19.62160.4.19.6330
155160.4.19.64/27160.4.19.65 to 160.4.19.94160.4.19.9530
156160.4.19.96/27160.4.19.97 to 160.4.19.126160.4.19.12730
157160.4.19.128/27160.4.19.129 to 160.4.19.158160.4.19.15930
158160.4.19.160/27160.4.19.161 to 160.4.19.190160.4.19.19130
159160.4.19.192/27160.4.19.193 to 160.4.19.222160.4.19.22330
160160.4.19.224/27160.4.19.225 to 160.4.19.254160.4.19.25530
161160.4.20.0/27160.4.20.1 to 160.4.20.30160.4.20.3130
162160.4.20.32/27160.4.20.33 to 160.4.20.62160.4.20.6330
163160.4.20.64/27160.4.20.65 to 160.4.20.94160.4.20.9530
164160.4.20.96/27160.4.20.97 to 160.4.20.126160.4.20.12730
165160.4.20.128/27160.4.20.129 to 160.4.20.158160.4.20.15930
166160.4.20.160/27160.4.20.161 to 160.4.20.190160.4.20.19130
167160.4.20.192/27160.4.20.193 to 160.4.20.222160.4.20.22330
168160.4.20.224/27160.4.20.225 to 160.4.20.254160.4.20.25530
169160.4.21.0/27160.4.21.1 to 160.4.21.30160.4.21.3130
170160.4.21.32/27160.4.21.33 to 160.4.21.62160.4.21.6330
171160.4.21.64/27160.4.21.65 to 160.4.21.94160.4.21.9530
172160.4.21.96/27160.4.21.97 to 160.4.21.126160.4.21.12730
173160.4.21.128/27160.4.21.129 to 160.4.21.158160.4.21.15930
174160.4.21.160/27160.4.21.161 to 160.4.21.190160.4.21.19130
175160.4.21.192/27160.4.21.193 to 160.4.21.222160.4.21.22330
176160.4.21.224/27160.4.21.225 to 160.4.21.254160.4.21.25530
177160.4.22.0/27160.4.22.1 to 160.4.22.30160.4.22.3130
178160.4.22.32/27160.4.22.33 to 160.4.22.62160.4.22.6330
179160.4.22.64/27160.4.22.65 to 160.4.22.94160.4.22.9530
180160.4.22.96/27160.4.22.97 to 160.4.22.126160.4.22.12730
181160.4.22.128/27160.4.22.129 to 160.4.22.158160.4.22.15930
182160.4.22.160/27160.4.22.161 to 160.4.22.190160.4.22.19130
183160.4.22.192/27160.4.22.193 to 160.4.22.222160.4.22.22330
184160.4.22.224/27160.4.22.225 to 160.4.22.254160.4.22.25530
185160.4.23.0/27160.4.23.1 to 160.4.23.30160.4.23.3130
186160.4.23.32/27160.4.23.33 to 160.4.23.62160.4.23.6330
187160.4.23.64/27160.4.23.65 to 160.4.23.94160.4.23.9530
188160.4.23.96/27160.4.23.97 to 160.4.23.126160.4.23.12730
189160.4.23.128/27160.4.23.129 to 160.4.23.158160.4.23.15930
190160.4.23.160/27160.4.23.161 to 160.4.23.190160.4.23.19130
191160.4.23.192/27160.4.23.193 to 160.4.23.222160.4.23.22330
192160.4.23.224/27160.4.23.225 to 160.4.23.254160.4.23.25530
193160.4.24.0/27160.4.24.1 to 160.4.24.30160.4.24.3130
194160.4.24.32/27160.4.24.33 to 160.4.24.62160.4.24.6330
195160.4.24.64/27160.4.24.65 to 160.4.24.94160.4.24.9530
196160.4.24.96/27160.4.24.97 to 160.4.24.126160.4.24.12730
197160.4.24.128/27160.4.24.129 to 160.4.24.158160.4.24.15930
198160.4.24.160/27160.4.24.161 to 160.4.24.190160.4.24.19130
199160.4.24.192/27160.4.24.193 to 160.4.24.222160.4.24.22330
200160.4.24.224/27160.4.24.225 to 160.4.24.254160.4.24.25530
201160.4.25.0/27160.4.25.1 to 160.4.25.30160.4.25.3130
202160.4.25.32/27160.4.25.33 to 160.4.25.62160.4.25.6330
203160.4.25.64/27160.4.25.65 to 160.4.25.94160.4.25.9530
204160.4.25.96/27160.4.25.97 to 160.4.25.126160.4.25.12730
205160.4.25.128/27160.4.25.129 to 160.4.25.158160.4.25.15930
206160.4.25.160/27160.4.25.161 to 160.4.25.190160.4.25.19130
207160.4.25.192/27160.4.25.193 to 160.4.25.222160.4.25.22330
208160.4.25.224/27160.4.25.225 to 160.4.25.254160.4.25.25530
209160.4.26.0/27160.4.26.1 to 160.4.26.30160.4.26.3130
210160.4.26.32/27160.4.26.33 to 160.4.26.62160.4.26.6330
211160.4.26.64/27160.4.26.65 to 160.4.26.94160.4.26.9530
212160.4.26.96/27160.4.26.97 to 160.4.26.126160.4.26.12730
213160.4.26.128/27160.4.26.129 to 160.4.26.158160.4.26.15930
214160.4.26.160/27160.4.26.161 to 160.4.26.190160.4.26.19130
215160.4.26.192/27160.4.26.193 to 160.4.26.222160.4.26.22330
216160.4.26.224/27160.4.26.225 to 160.4.26.254160.4.26.25530
217160.4.27.0/27160.4.27.1 to 160.4.27.30160.4.27.3130
218160.4.27.32/27160.4.27.33 to 160.4.27.62160.4.27.6330
219160.4.27.64/27160.4.27.65 to 160.4.27.94160.4.27.9530
220160.4.27.96/27160.4.27.97 to 160.4.27.126160.4.27.12730
221160.4.27.128/27160.4.27.129 to 160.4.27.158160.4.27.15930
222160.4.27.160/27160.4.27.161 to 160.4.27.190160.4.27.19130
223160.4.27.192/27160.4.27.193 to 160.4.27.222160.4.27.22330
224160.4.27.224/27160.4.27.225 to 160.4.27.254160.4.27.25530
225160.4.28.0/27160.4.28.1 to 160.4.28.30160.4.28.3130
226160.4.28.32/27160.4.28.33 to 160.4.28.62160.4.28.6330
227160.4.28.64/27160.4.28.65 to 160.4.28.94160.4.28.9530
228160.4.28.96/27160.4.28.97 to 160.4.28.126160.4.28.12730
229160.4.28.128/27160.4.28.129 to 160.4.28.158160.4.28.15930
230160.4.28.160/27160.4.28.161 to 160.4.28.190160.4.28.19130
231160.4.28.192/27160.4.28.193 to 160.4.28.222160.4.28.22330
232160.4.28.224/27160.4.28.225 to 160.4.28.254160.4.28.25530
233160.4.29.0/27160.4.29.1 to 160.4.29.30160.4.29.3130
234160.4.29.32/27160.4.29.33 to 160.4.29.62160.4.29.6330
235160.4.29.64/27160.4.29.65 to 160.4.29.94160.4.29.9530
236160.4.29.96/27160.4.29.97 to 160.4.29.126160.4.29.12730
237160.4.29.128/27160.4.29.129 to 160.4.29.158160.4.29.15930
238160.4.29.160/27160.4.29.161 to 160.4.29.190160.4.29.19130
239160.4.29.192/27160.4.29.193 to 160.4.29.222160.4.29.22330
240160.4.29.224/27160.4.29.225 to 160.4.29.254160.4.29.25530
241160.4.30.0/27160.4.30.1 to 160.4.30.30160.4.30.3130
242160.4.30.32/27160.4.30.33 to 160.4.30.62160.4.30.6330
243160.4.30.64/27160.4.30.65 to 160.4.30.94160.4.30.9530
244160.4.30.96/27160.4.30.97 to 160.4.30.126160.4.30.12730
245160.4.30.128/27160.4.30.129 to 160.4.30.158160.4.30.15930
246160.4.30.160/27160.4.30.161 to 160.4.30.190160.4.30.19130
247160.4.30.192/27160.4.30.193 to 160.4.30.222160.4.30.22330
248160.4.30.224/27160.4.30.225 to 160.4.30.254160.4.30.25530
249160.4.31.0/27160.4.31.1 to 160.4.31.30160.4.31.3130
250160.4.31.32/27160.4.31.33 to 160.4.31.62160.4.31.6330
251160.4.31.64/27160.4.31.65 to 160.4.31.94160.4.31.9530
252160.4.31.96/27160.4.31.97 to 160.4.31.126160.4.31.12730
253160.4.31.128/27160.4.31.129 to 160.4.31.158160.4.31.15930
254160.4.31.160/27160.4.31.161 to 160.4.31.190160.4.31.19130
255160.4.31.192/27160.4.31.193 to 160.4.31.222160.4.31.22330
256160.4.31.224/27160.4.31.225 to 160.4.31.254160.4.31.25530

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses